%global realname etorrent
%global debug_package %{nil}
%global git_tag 67de30f


Name:		erlang-%{realname}
Version:	1.1.1
Release:	1%{?dist}
Summary:	Erlang BitTorrent client and library
Group:		Development/Languages
License:	BSD
URL:		http://github.com/jlouis/etorrent
# wget http://github.com/jlouis/etorrent/tarball/v1.1.1
Source0:	jlouis-%{realname}-v%{version}-0-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-gproc
BuildRequires:	erlang-rebar
Requires:	erlang-crypto
Requires:	erlang-erts
Requires:	erlang-gproc
Requires:	erlang-inets
Requires:	erlang-kernel
Requires:	erlang-mnesia
Requires:	erlang-sasl
Requires:	erlang-stdlib
Provides:	%{realname} = %{version}-%{release}


%description
This is a BitTorrent client and a library written in Erlang. The focus is on
robustness and scalability in number of torrents rather than in pure speed.
Etorrent is mostly meant for unattended operation, where one just specifies
what files to download and gets a notification when they are.


%prep
%setup -q -n jlouis-%{realname}-0a0ef44
sed -e 's,%%%%%%BEAMDIR%%%%%%,%{_libdir}/erlang/lib/%{realname}-%{version}/ebin,g;s,%%%%%%CONFIGFILE%%%%%%,%{_sysconfdir}/%{realname}/%{realname}.config,g;s,%%%%%%ERL_FLAGS%%%%%%,,g' \
	bin/etorrentctl.in > bin/etorrentctl


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv,src}

# Erlang VM binary data and includes
install -p -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include

# config files
install -D -p -m 0644 priv/etorrent.config.example $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/%{realname}.config
install -D -p -m 0644 priv/webui.config $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/webui.config

# startup script
install -D -p -m 0755 bin/etorrentctl $RPM_BUILD_ROOT%{_sbindir}/etorrentctl


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING HACKING NEWS README.md TODO documentation/configuration_options.txt
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_sysconfdir}/%{realname}/%{realname}.config
%{_sysconfdir}/%{realname}/webui.config
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/http_gzip.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_sbindir}/etorrentctl


%changelog
* Wed Sep 29 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.1.1-1
- Initial build

